glibmm 2.4: Enums and Flags

Main Page Widgets glibmm Namespaces Book

# Enums and Flags

## Enumerations
enum | Gio::AppInfoCreateFlags { Gio::APP_INFO_CREATE_NONE = 0, Gio::APP_INFO_CREATE_NEEDS_TERMINAL = 1<<0, Gio::APP_INFO_CREATE_SUPPORTS_URIS = 1<<1 }
enum | Gio::DataStreamByteOrder { Gio::DATA_STREAM_BYTE_ORDER_BIG_ENDIAN, Gio::DATA_STREAM_BYTE_ORDER_LITTLE_ENDIAN, Gio::DATA_STREAM_BYTE_ORDER_HOST_ENDIAN }
enum | Gio::DataStreamNewlineType { Gio::DATA_STREAM_NEWLINE_TYPE_LF, Gio::DATA_STREAM_NEWLINE_TYPE_CR, Gio::DATA_STREAM_NEWLINE_TYPE_CR_LF, Gio::DATA_STREAM_NEWLINE_TYPE_ANY }
enum | Gio::FileQueryInfoFlags { Gio::FILE_QUERY_INFO_NONE = 0, Gio::FILE_QUERY_INFO_NOFOLLOW_SYMLINKS = 1<<0 }
enum | Gio::FileCreateFlags { Gio::FILE_CREATE_NONE = 0, Gio::FILE_CREATE_PRIVATE = 1<<0 }
enum | Gio::FileCopyFlags { Gio::FILE_COPY_NONE = 0, Gio::FILE_COPY_OVERWRITE = 1<<0, Gio::FILE_COPY_BACKUP = 1<<1, Gio::FILE_COPY_NOFOLLOW_SYMLINKS = 1<<2, Gio::FILE_COPY_ALL_METADATA = 1<<3, Gio::FILE_COPY_NO_FALLBACK_FOR_MOVE = 1<<4 }
enum | Gio::FileMonitorFlags { Gio::FILE_MONITOR_NONE = 0, Gio::FILE_MONITOR_WATCH_MOUNTS = 1<<0 }
enum | Gio::MountUnmountFlags { Gio::MOUNT_UNMOUNT_NONE = 0, Gio::MOUNT_UNMOUNT_FORCE = 1<<0 }
enum | Gio::MountMountFlags { Gio::MOUNT_MOUNT_NONE }
enum | Gio::FileAttributeType { Gio::FILE_ATTRIBUTE_TYPE_INVALID, Gio::FILE_ATTRIBUTE_TYPE_STRING, Gio::FILE_ATTRIBUTE_TYPE_BYTE_STRING, Gio::FILE_ATTRIBUTE_TYPE_BOOLEAN, Gio::FILE_ATTRIBUTE_TYPE_UINT32, Gio::FILE_ATTRIBUTE_TYPE_INT32, Gio::FILE_ATTRIBUTE_TYPE_UINT64, Gio::FILE_ATTRIBUTE_TYPE_INT64, Gio::FILE_ATTRIBUTE_TYPE_OBJECT }
enum | Gio::FileAttributeInfoFlags { Gio::FILE_ATTRIBUTE_INFO_NONE = 0, Gio::FILE_ATTRIBUTE_INFO_COPY_WITH_FILE = 1 << 0, Gio::FILE_ATTRIBUTE_INFO_COPY_WHEN_MOVED = 1 << 1 }
enum | Gio::FileAttributeStatus { Gio::FILE_ATTRIBUTE_STATUS_UNSET, Gio::FILE_ATTRIBUTE_STATUS_SET, Gio::FILE_ATTRIBUTE_STATUS_ERROR_SETTING }
enum | Gio::FileType { Gio::FILE_TYPE_UNKNOWN, Gio::FILE_TYPE_REGULAR, Gio::FILE_TYPE_DIRECTORY, Gio::FILE_TYPE_SYMBOLIC_LINK, Gio::FILE_TYPE_SPECIAL, Gio::FILE_TYPE_SHORTCUT, Gio::FILE_TYPE_MOUNTABLE }
enum | Gio::FileMonitorEvent { Gio::FILE_MONITOR_EVENT_CHANGED, Gio::FILE_MONITOR_EVENT_CHANGES_DONE_HINT, Gio::FILE_MONITOR_EVENT_DELETED, Gio::FILE_MONITOR_EVENT_CREATED, Gio::FILE_MONITOR_EVENT_ATTRIBUTE_CHANGED, Gio::FILE_MONITOR_EVENT_PRE_UNMOUNT, Gio::FILE_MONITOR_EVENT_UNMOUNTED }
enum | Gio::AskPasswordFlags { Gio::ASK_PASSWORD_NEED_PASSWORD = 1<<0, Gio::ASK_PASSWORD_NEED_USERNAME = 1<<1, Gio::ASK_PASSWORD_NEED_DOMAIN = 1<<2, Gio::ASK_PASSWORD_SAVING_SUPPORTED = 1<<3, Gio::ASK_PASSWORD_ANONYMOUS_SUPPORTED = 1<<4 }
enum | Gio::PasswordSave { Gio::PASSWORD_SAVE_NEVER, Gio::PASSWORD_SAVE_FOR_SESSION, Gio::PASSWORD_SAVE_PERMANENTLY }
enum | Gio::MountOperationResult { Gio::MOUNT_OPERATION_HANDLED, Gio::MOUNT_OPERATION_ABORTED, Gio::MOUNT_OPERATION_UNHANDLED }
enum | Gio::OutputStreamSpliceFlags { Gio::OUTPUT_STREAM_SPLICE_NONE = 0, Gio::OUTPUT_STREAM_SPLICE_CLOSE_SOURCE = 1 << 0, Gio::OUTPUT_STREAM_SPLICE_CLOSE_TARGET = 1 << 1 }
## Functions
AppInfoCreateFlags | Gio::operator| (AppInfoCreateFlags lhs, AppInfoCreateFlags rhs)
AppInfoCreateFlags | Gio::operator& (AppInfoCreateFlags lhs, AppInfoCreateFlags rhs)
AppInfoCreateFlags | Gio::operator^ (AppInfoCreateFlags lhs, AppInfoCreateFlags rhs)
AppInfoCreateFlags | Gio::operator~ (AppInfoCreateFlags flags)
AppInfoCreateFlags& | Gio::operator|= (AppInfoCreateFlags& lhs, AppInfoCreateFlags rhs)
AppInfoCreateFlags& | Gio::operator&= (AppInfoCreateFlags& lhs, AppInfoCreateFlags rhs)
AppInfoCreateFlags& | Gio::operator^= (AppInfoCreateFlags& lhs, AppInfoCreateFlags rhs)
FileQueryInfoFlags | Gio::operator| (FileQueryInfoFlags lhs, FileQueryInfoFlags rhs)
FileQueryInfoFlags | Gio::operator& (FileQueryInfoFlags lhs, FileQueryInfoFlags rhs)
FileQueryInfoFlags | Gio::operator^ (FileQueryInfoFlags lhs, FileQueryInfoFlags rhs)
FileQueryInfoFlags | Gio::operator~ (FileQueryInfoFlags flags)
FileQueryInfoFlags& | Gio::operator|= (FileQueryInfoFlags& lhs, FileQueryInfoFlags rhs)
FileQueryInfoFlags& | Gio::operator&= (FileQueryInfoFlags& lhs, FileQueryInfoFlags rhs)
FileQueryInfoFlags& | Gio::operator^= (FileQueryInfoFlags& lhs, FileQueryInfoFlags rhs)
FileCreateFlags | Gio::operator| (FileCreateFlags lhs, FileCreateFlags rhs)
FileCreateFlags | Gio::operator& (FileCreateFlags lhs, FileCreateFlags rhs)
FileCreateFlags | Gio::operator^ (FileCreateFlags lhs, FileCreateFlags rhs)
FileCreateFlags | Gio::operator~ (FileCreateFlags flags)
FileCreateFlags& | Gio::operator|= (FileCreateFlags& lhs, FileCreateFlags rhs)
FileCreateFlags& | Gio::operator&= (FileCreateFlags& lhs, FileCreateFlags rhs)
FileCreateFlags& | Gio::operator^= (FileCreateFlags& lhs, FileCreateFlags rhs)
FileCopyFlags | Gio::operator| (FileCopyFlags lhs, FileCopyFlags rhs)
FileCopyFlags | Gio::operator& (FileCopyFlags lhs, FileCopyFlags rhs)
FileCopyFlags | Gio::operator^ (FileCopyFlags lhs, FileCopyFlags rhs)
FileCopyFlags | Gio::operator~ (FileCopyFlags flags)
FileCopyFlags& | Gio::operator|= (FileCopyFlags& lhs, FileCopyFlags rhs)
FileCopyFlags& | Gio::operator&= (FileCopyFlags& lhs, FileCopyFlags rhs)
FileCopyFlags& | Gio::operator^= (FileCopyFlags& lhs, FileCopyFlags rhs)
FileMonitorFlags | Gio::operator| (FileMonitorFlags lhs, FileMonitorFlags rhs)
FileMonitorFlags | Gio::operator& (FileMonitorFlags lhs, FileMonitorFlags rhs)
FileMonitorFlags | Gio::operator^ (FileMonitorFlags lhs, FileMonitorFlags rhs)
FileMonitorFlags | Gio::operator~ (FileMonitorFlags flags)
FileMonitorFlags& | Gio::operator|= (FileMonitorFlags& lhs, FileMonitorFlags rhs)
FileMonitorFlags& | Gio::operator&= (FileMonitorFlags& lhs, FileMonitorFlags rhs)
FileMonitorFlags& | Gio::operator^= (FileMonitorFlags& lhs, FileMonitorFlags rhs)
MountUnmountFlags | Gio::operator| (MountUnmountFlags lhs, MountUnmountFlags rhs)
MountUnmountFlags | Gio::operator& (MountUnmountFlags lhs, MountUnmountFlags rhs)
MountUnmountFlags | Gio::operator^ (MountUnmountFlags lhs, MountUnmountFlags rhs)
MountUnmountFlags | Gio::operator~ (MountUnmountFlags flags)
MountUnmountFlags& | Gio::operator|= (MountUnmountFlags& lhs, MountUnmountFlags rhs)
MountUnmountFlags& | Gio::operator&= (MountUnmountFlags& lhs, MountUnmountFlags rhs)
MountUnmountFlags& | Gio::operator^= (MountUnmountFlags& lhs, MountUnmountFlags rhs)
FileAttributeInfoFlags | Gio::operator| (FileAttributeInfoFlags lhs, FileAttributeInfoFlags rhs)
FileAttributeInfoFlags | Gio::operator& (FileAttributeInfoFlags lhs, FileAttributeInfoFlags rhs)
FileAttributeInfoFlags | Gio::operator^ (FileAttributeInfoFlags lhs, FileAttributeInfoFlags rhs)
FileAttributeInfoFlags | Gio::operator~ (FileAttributeInfoFlags flags)
FileAttributeInfoFlags& | Gio::operator|= (FileAttributeInfoFlags& lhs, FileAttributeInfoFlags rhs)
FileAttributeInfoFlags& | Gio::operator&= (FileAttributeInfoFlags& lhs, FileAttributeInfoFlags rhs)
FileAttributeInfoFlags& | Gio::operator^= (FileAttributeInfoFlags& lhs, FileAttributeInfoFlags rhs)
AskPasswordFlags | Gio::operator| (AskPasswordFlags lhs, AskPasswordFlags rhs)
AskPasswordFlags | Gio::operator& (AskPasswordFlags lhs, AskPasswordFlags rhs)
AskPasswordFlags | Gio::operator^ (AskPasswordFlags lhs, AskPasswordFlags rhs)
AskPasswordFlags | Gio::operator~ (AskPasswordFlags flags)
AskPasswordFlags& | Gio::operator|= (AskPasswordFlags& lhs, AskPasswordFlags rhs)
AskPasswordFlags& | Gio::operator&= (AskPasswordFlags& lhs, AskPasswordFlags rhs)
AskPasswordFlags& | Gio::operator^= (AskPasswordFlags& lhs, AskPasswordFlags rhs)
OutputStreamSpliceFlags | Gio::operator| (OutputStreamSpliceFlags lhs, OutputStreamSpliceFlags rhs)
OutputStreamSpliceFlags | Gio::operator& (OutputStreamSpliceFlags lhs, OutputStreamSpliceFlags rhs)
OutputStreamSpliceFlags | Gio::operator^ (OutputStreamSpliceFlags lhs, OutputStreamSpliceFlags rhs)
OutputStreamSpliceFlags | Gio::operator~ (OutputStreamSpliceFlags flags)
OutputStreamSpliceFlags& | Gio::operator|= (OutputStreamSpliceFlags& lhs, OutputStreamSpliceFlags rhs)
OutputStreamSpliceFlags& | Gio::operator&= (OutputStreamSpliceFlags& lhs, OutputStreamSpliceFlags rhs)
OutputStreamSpliceFlags& | Gio::operator^= (OutputStreamSpliceFlags& lhs, OutputStreamSpliceFlags rhs)

## Enumeration Type Documentation

enum Gio::AppInfoCreateFlags

Bitwise operators:
  `AppInfoCreateFlags operator|(AppInfoCreateFlags, AppInfoCreateFlags)`
  `AppInfoCreateFlags operator&(AppInfoCreateFlags, AppInfoCreateFlags)`
  `AppInfoCreateFlags operator^(AppInfoCreateFlags, AppInfoCreateFlags)`
  `AppInfoCreateFlags operator~(AppInfoCreateFlags)`
  `AppInfoCreateFlags& operator|=(AppInfoCreateFlags&, AppInfoCreateFlags)`
  `AppInfoCreateFlags& operator&=(AppInfoCreateFlags&, AppInfoCreateFlags)`
  `AppInfoCreateFlags& operator^=(AppInfoCreateFlags&, AppInfoCreateFlags)`

Enumerator:

  APP_INFO_CREATE_NONE |
  APP_INFO_CREATE_NEEDS_TERMINAL |
  APP_INFO_CREATE_SUPPORTS_URIS |

enum Gio::AskPasswordFlags

Bitwise operators:
  `AskPasswordFlags operator|(AskPasswordFlags, AskPasswordFlags)`
  `AskPasswordFlags operator&(AskPasswordFlags, AskPasswordFlags)`
  `AskPasswordFlags operator^(AskPasswordFlags, AskPasswordFlags)`
  `AskPasswordFlags operator~(AskPasswordFlags)`
  `AskPasswordFlags& operator|=(AskPasswordFlags&, AskPasswordFlags)`
  `AskPasswordFlags& operator&=(AskPasswordFlags&, AskPasswordFlags)`
  `AskPasswordFlags& operator^=(AskPasswordFlags&, AskPasswordFlags)`

Enumerator:

  ASK_PASSWORD_NEED_PASSWORD |
  ASK_PASSWORD_NEED_USERNAME |
  ASK_PASSWORD_NEED_DOMAIN |
  ASK_PASSWORD_SAVING_SUPPORTED |
  ASK_PASSWORD_ANONYMOUS_SUPPORTED |

enum Gio::DataStreamByteOrder

Enumerator:

  DATA_STREAM_BYTE_ORDER_BIG_ENDIAN |
  DATA_STREAM_BYTE_ORDER_LITTLE_ENDIAN |
  DATA_STREAM_BYTE_ORDER_HOST_ENDIAN |

enum Gio::DataStreamNewlineType

Enumerator:

  DATA_STREAM_NEWLINE_TYPE_LF |
  DATA_STREAM_NEWLINE_TYPE_CR |
  DATA_STREAM_NEWLINE_TYPE_CR_LF |
  DATA_STREAM_NEWLINE_TYPE_ANY |

enum Gio::FileAttributeInfoFlags

Bitwise operators:
  `FileAttributeInfoFlags operator|(FileAttributeInfoFlags, FileAttributeInfoFlags)`
  `FileAttributeInfoFlags operator&(FileAttributeInfoFlags, FileAttributeInfoFlags)`
  `FileAttributeInfoFlags operator^(FileAttributeInfoFlags, FileAttributeInfoFlags)`
  `FileAttributeInfoFlags operator~(FileAttributeInfoFlags)`
  `FileAttributeInfoFlags& operator|=(FileAttributeInfoFlags&, FileAttributeInfoFlags)`
  `FileAttributeInfoFlags& operator&=(FileAttributeInfoFlags&, FileAttributeInfoFlags)`
  `FileAttributeInfoFlags& operator^=(FileAttributeInfoFlags&, FileAttributeInfoFlags)`

Enumerator:

  FILE_ATTRIBUTE_INFO_NONE |
  FILE_ATTRIBUTE_INFO_COPY_WITH_FILE |
  FILE_ATTRIBUTE_INFO_COPY_WHEN_MOVED |

enum Gio::FileAttributeStatus

Enumerator:

  FILE_ATTRIBUTE_STATUS_UNSET |
  FILE_ATTRIBUTE_STATUS_SET |
  FILE_ATTRIBUTE_STATUS_ERROR_SETTING |

enum Gio::FileAttributeType

Enumerator:

  FILE_ATTRIBUTE_TYPE_INVALID |
  FILE_ATTRIBUTE_TYPE_STRING |
  FILE_ATTRIBUTE_TYPE_BYTE_STRING |
  FILE_ATTRIBUTE_TYPE_BOOLEAN |
  FILE_ATTRIBUTE_TYPE_UINT32 |
  FILE_ATTRIBUTE_TYPE_INT32 |
  FILE_ATTRIBUTE_TYPE_UINT64 |
  FILE_ATTRIBUTE_TYPE_INT64 |
  FILE_ATTRIBUTE_TYPE_OBJECT |

enum Gio::FileCopyFlags

Bitwise operators:
  `FileCopyFlags operator|(FileCopyFlags, FileCopyFlags)`
  `FileCopyFlags operator&(FileCopyFlags, FileCopyFlags)`
  `FileCopyFlags operator^(FileCopyFlags, FileCopyFlags)`
  `FileCopyFlags operator~(FileCopyFlags)`
  `FileCopyFlags& operator|=(FileCopyFlags&, FileCopyFlags)`
  `FileCopyFlags& operator&=(FileCopyFlags&, FileCopyFlags)`
  `FileCopyFlags& operator^=(FileCopyFlags&, FileCopyFlags)`

Enumerator:

  FILE_COPY_NONE |
  FILE_COPY_OVERWRITE |
  FILE_COPY_BACKUP |
  FILE_COPY_NOFOLLOW_SYMLINKS |
  FILE_COPY_ALL_METADATA |
  FILE_COPY_NO_FALLBACK_FOR_MOVE |

enum Gio::FileCreateFlags

Bitwise operators:
  `FileCreateFlags operator|(FileCreateFlags, FileCreateFlags)`
  `FileCreateFlags operator&(FileCreateFlags, FileCreateFlags)`
  `FileCreateFlags operator^(FileCreateFlags, FileCreateFlags)`
  `FileCreateFlags operator~(FileCreateFlags)`
  `FileCreateFlags& operator|=(FileCreateFlags&, FileCreateFlags)`
  `FileCreateFlags& operator&=(FileCreateFlags&, FileCreateFlags)`
  `FileCreateFlags& operator^=(FileCreateFlags&, FileCreateFlags)`

Enumerator:

  FILE_CREATE_NONE |
  FILE_CREATE_PRIVATE |

enum Gio::FileMonitorEvent

Enumerator:

  FILE_MONITOR_EVENT_CHANGED |
  FILE_MONITOR_EVENT_CHANGES_DONE_HINT |
  FILE_MONITOR_EVENT_DELETED |
  FILE_MONITOR_EVENT_CREATED |
  FILE_MONITOR_EVENT_ATTRIBUTE_CHANGED |
  FILE_MONITOR_EVENT_PRE_UNMOUNT |
  FILE_MONITOR_EVENT_UNMOUNTED |

enum Gio::FileMonitorFlags

Bitwise operators:
  `FileMonitorFlags operator|(FileMonitorFlags, FileMonitorFlags)`
  `FileMonitorFlags operator&(FileMonitorFlags, FileMonitorFlags)`
  `FileMonitorFlags operator^(FileMonitorFlags, FileMonitorFlags)`
  `FileMonitorFlags operator~(FileMonitorFlags)`
  `FileMonitorFlags& operator|=(FileMonitorFlags&, FileMonitorFlags)`
  `FileMonitorFlags& operator&=(FileMonitorFlags&, FileMonitorFlags)`
  `FileMonitorFlags& operator^=(FileMonitorFlags&, FileMonitorFlags)`

Enumerator:

  FILE_MONITOR_NONE |
  FILE_MONITOR_WATCH_MOUNTS |

enum Gio::FileQueryInfoFlags

Bitwise operators:
  `FileQueryInfoFlags operator|(FileQueryInfoFlags, FileQueryInfoFlags)`
  `FileQueryInfoFlags operator&(FileQueryInfoFlags, FileQueryInfoFlags)`
  `FileQueryInfoFlags operator^(FileQueryInfoFlags, FileQueryInfoFlags)`
  `FileQueryInfoFlags operator~(FileQueryInfoFlags)`
  `FileQueryInfoFlags& operator|=(FileQueryInfoFlags&, FileQueryInfoFlags)`
  `FileQueryInfoFlags& operator&=(FileQueryInfoFlags&, FileQueryInfoFlags)`
  `FileQueryInfoFlags& operator^=(FileQueryInfoFlags&, FileQueryInfoFlags)`

Enumerator:

  FILE_QUERY_INFO_NONE |
  FILE_QUERY_INFO_NOFOLLOW_SYMLINKS |

enum Gio::FileType

Enumerator:

  FILE_TYPE_UNKNOWN |
  FILE_TYPE_REGULAR |
  FILE_TYPE_DIRECTORY |
  FILE_TYPE_SYMBOLIC_LINK |
  FILE_TYPE_SPECIAL |
  FILE_TYPE_SHORTCUT |
  FILE_TYPE_MOUNTABLE |

enum Gio::MountMountFlags

Enumerator:

  MOUNT_MOUNT_NONE |

enum Gio::MountOperationResult

Enumerator:

  MOUNT_OPERATION_HANDLED |
  MOUNT_OPERATION_ABORTED |
  MOUNT_OPERATION_UNHANDLED |

enum Gio::MountUnmountFlags

Bitwise operators:
  `MountUnmountFlags operator|(MountUnmountFlags, MountUnmountFlags)`
  `MountUnmountFlags operator&(MountUnmountFlags, MountUnmountFlags)`
  `MountUnmountFlags operator^(MountUnmountFlags, MountUnmountFlags)`
  `MountUnmountFlags operator~(MountUnmountFlags)`
  `MountUnmountFlags& operator|=(MountUnmountFlags&, MountUnmountFlags)`
  `MountUnmountFlags& operator&=(MountUnmountFlags&, MountUnmountFlags)`
  `MountUnmountFlags& operator^=(MountUnmountFlags&, MountUnmountFlags)`

Enumerator:

  MOUNT_UNMOUNT_NONE |
  MOUNT_UNMOUNT_FORCE |

enum Gio::OutputStreamSpliceFlags

Bitwise operators:
  `OutputStreamSpliceFlags operator|(OutputStreamSpliceFlags, OutputStreamSpliceFlags)`
  `OutputStreamSpliceFlags operator&(OutputStreamSpliceFlags, OutputStreamSpliceFlags)`
  `OutputStreamSpliceFlags operator^(OutputStreamSpliceFlags, OutputStreamSpliceFlags)`
  `OutputStreamSpliceFlags operator~(OutputStreamSpliceFlags)`
  `OutputStreamSpliceFlags& operator|=(OutputStreamSpliceFlags&, OutputStreamSpliceFlags)`
  `OutputStreamSpliceFlags& operator&=(OutputStreamSpliceFlags&, OutputStreamSpliceFlags)`
  `OutputStreamSpliceFlags& operator^=(OutputStreamSpliceFlags&, OutputStreamSpliceFlags)`

Enumerator:

  OUTPUT_STREAM_SPLICE_NONE |
  OUTPUT_STREAM_SPLICE_CLOSE_SOURCE |
  OUTPUT_STREAM_SPLICE_CLOSE_TARGET |

enum Gio::PasswordSave

Enumerator:

  PASSWORD_SAVE_NEVER |
  PASSWORD_SAVE_FOR_SESSION |
  PASSWORD_SAVE_PERMANENTLY |

## Function Documentation

OutputStreamSpliceFlags Gio::operator & | ( | OutputStreamSpliceFlags | lhs,
|  | OutputStreamSpliceFlags | rhs |
| ) |  |  | `[inline]`

AskPasswordFlags Gio::operator & | ( | AskPasswordFlags | lhs,
|  | AskPasswordFlags | rhs |
| ) |  |  | `[inline]`

FileAttributeInfoFlags Gio::operator & | ( | FileAttributeInfoFlags | lhs,
|  | FileAttributeInfoFlags | rhs |
| ) |  |  | `[inline]`

MountUnmountFlags Gio::operator & | ( | MountUnmountFlags | lhs,
|  | MountUnmountFlags | rhs |
| ) |  |  | `[inline]`

FileMonitorFlags Gio::operator & | ( | FileMonitorFlags | lhs,
|  | FileMonitorFlags | rhs |
| ) |  |  | `[inline]`

FileCopyFlags Gio::operator & | ( | FileCopyFlags | lhs,
|  | FileCopyFlags | rhs |
| ) |  |  | `[inline]`

FileCreateFlags Gio::operator & | ( | FileCreateFlags | lhs,
|  | FileCreateFlags | rhs |
| ) |  |  | `[inline]`

FileQueryInfoFlags Gio::operator & | ( | FileQueryInfoFlags | lhs,
|  | FileQueryInfoFlags | rhs |
| ) |  |  | `[inline]`

AppInfoCreateFlags Gio::operator & | ( | AppInfoCreateFlags | lhs,
|  | AppInfoCreateFlags | rhs |
| ) |  |  | `[inline]`

OutputStreamSpliceFlags& Gio::operator &= | ( | OutputStreamSpliceFlags & | lhs,
|  | OutputStreamSpliceFlags | rhs |
| ) |  |  | `[inline]`

AskPasswordFlags& Gio::operator &= | ( | AskPasswordFlags & | lhs,
|  | AskPasswordFlags | rhs |
| ) |  |  | `[inline]`

FileAttributeInfoFlags& Gio::operator &= | ( | FileAttributeInfoFlags & | lhs,
|  | FileAttributeInfoFlags | rhs |
| ) |  |  | `[inline]`

MountUnmountFlags& Gio::operator &= | ( | MountUnmountFlags & | lhs,
|  | MountUnmountFlags | rhs |
| ) |  |  | `[inline]`

FileMonitorFlags& Gio::operator &= | ( | FileMonitorFlags & | lhs,
|  | FileMonitorFlags | rhs |
| ) |  |  | `[inline]`

FileCopyFlags& Gio::operator &= | ( | FileCopyFlags & | lhs,
|  | FileCopyFlags | rhs |
| ) |  |  | `[inline]`

FileCreateFlags& Gio::operator &= | ( | FileCreateFlags & | lhs,
|  | FileCreateFlags | rhs |
| ) |  |  | `[inline]`

FileQueryInfoFlags& Gio::operator &= | ( | FileQueryInfoFlags & | lhs,
|  | FileQueryInfoFlags | rhs |
| ) |  |  | `[inline]`

AppInfoCreateFlags& Gio::operator &= | ( | AppInfoCreateFlags & | lhs,
|  | AppInfoCreateFlags | rhs |
| ) |  |  | `[inline]`

OutputStreamSpliceFlags Gio::operator^ | ( | OutputStreamSpliceFlags | lhs,
|  | OutputStreamSpliceFlags | rhs |
| ) |  |  | `[inline]`

AskPasswordFlags Gio::operator^ | ( | AskPasswordFlags | lhs,
|  | AskPasswordFlags | rhs |
| ) |  |  | `[inline]`

FileAttributeInfoFlags Gio::operator^ | ( | FileAttributeInfoFlags | lhs,
|  | FileAttributeInfoFlags | rhs |
| ) |  |  | `[inline]`

MountUnmountFlags Gio::operator^ | ( | MountUnmountFlags | lhs,
|  | MountUnmountFlags | rhs |
| ) |  |  | `[inline]`

FileMonitorFlags Gio::operator^ | ( | FileMonitorFlags | lhs,
|  | FileMonitorFlags | rhs |
| ) |  |  | `[inline]`

FileCopyFlags Gio::operator^ | ( | FileCopyFlags | lhs,
|  | FileCopyFlags | rhs |
| ) |  |  | `[inline]`

FileCreateFlags Gio::operator^ | ( | FileCreateFlags | lhs,
|  | FileCreateFlags | rhs |
| ) |  |  | `[inline]`

FileQueryInfoFlags Gio::operator^ | ( | FileQueryInfoFlags | lhs,
|  | FileQueryInfoFlags | rhs |
| ) |  |  | `[inline]`

AppInfoCreateFlags Gio::operator^ | ( | AppInfoCreateFlags | lhs,
|  | AppInfoCreateFlags | rhs |
| ) |  |  | `[inline]`

OutputStreamSpliceFlags& Gio::operator^= | ( | OutputStreamSpliceFlags & | lhs,
|  | OutputStreamSpliceFlags | rhs |
| ) |  |  | `[inline]`

AskPasswordFlags& Gio::operator^= | ( | AskPasswordFlags & | lhs,
|  | AskPasswordFlags | rhs |
| ) |  |  | `[inline]`

FileAttributeInfoFlags& Gio::operator^= | ( | FileAttributeInfoFlags & | lhs,
|  | FileAttributeInfoFlags | rhs |
| ) |  |  | `[inline]`

MountUnmountFlags& Gio::operator^= | ( | MountUnmountFlags & | lhs,
|  | MountUnmountFlags | rhs |
| ) |  |  | `[inline]`

FileMonitorFlags& Gio::operator^= | ( | FileMonitorFlags & | lhs,
|  | FileMonitorFlags | rhs |
| ) |  |  | `[inline]`

FileCopyFlags& Gio::operator^= | ( | FileCopyFlags & | lhs,
|  | FileCopyFlags | rhs |
| ) |  |  | `[inline]`

FileCreateFlags& Gio::operator^= | ( | FileCreateFlags & | lhs,
|  | FileCreateFlags | rhs |
| ) |  |  | `[inline]`

FileQueryInfoFlags& Gio::operator^= | ( | FileQueryInfoFlags & | lhs,
|  | FileQueryInfoFlags | rhs |
| ) |  |  | `[inline]`

AppInfoCreateFlags& Gio::operator^= | ( | AppInfoCreateFlags & | lhs,
|  | AppInfoCreateFlags | rhs |
| ) |  |  | `[inline]`

OutputStreamSpliceFlags Gio::operator| | ( | OutputStreamSpliceFlags | lhs,
|  | OutputStreamSpliceFlags | rhs |
| ) |  |  | `[inline]`

AskPasswordFlags Gio::operator| | ( | AskPasswordFlags | lhs,
|  | AskPasswordFlags | rhs |
| ) |  |  | `[inline]`

FileAttributeInfoFlags Gio::operator| | ( | FileAttributeInfoFlags | lhs,
|  | FileAttributeInfoFlags | rhs |
| ) |  |  | `[inline]`

MountUnmountFlags Gio::operator| | ( | MountUnmountFlags | lhs,
|  | MountUnmountFlags | rhs |
| ) |  |  | `[inline]`

FileMonitorFlags Gio::operator| | ( | FileMonitorFlags | lhs,
|  | FileMonitorFlags | rhs |
| ) |  |  | `[inline]`

FileCopyFlags Gio::operator| | ( | FileCopyFlags | lhs,
|  | FileCopyFlags | rhs |
| ) |  |  | `[inline]`

FileCreateFlags Gio::operator| | ( | FileCreateFlags | lhs,
|  | FileCreateFlags | rhs |
| ) |  |  | `[inline]`

FileQueryInfoFlags Gio::operator| | ( | FileQueryInfoFlags | lhs,
|  | FileQueryInfoFlags | rhs |
| ) |  |  | `[inline]`

AppInfoCreateFlags Gio::operator| | ( | AppInfoCreateFlags | lhs,
|  | AppInfoCreateFlags | rhs |
| ) |  |  | `[inline]`

OutputStreamSpliceFlags& Gio::operator|= | ( | OutputStreamSpliceFlags & | lhs,
|  | OutputStreamSpliceFlags | rhs |
| ) |  |  | `[inline]`

AskPasswordFlags& Gio::operator|= | ( | AskPasswordFlags & | lhs,
|  | AskPasswordFlags | rhs |
| ) |  |  | `[inline]`

FileAttributeInfoFlags& Gio::operator|= | ( | FileAttributeInfoFlags & | lhs,
|  | FileAttributeInfoFlags | rhs |
| ) |  |  | `[inline]`

MountUnmountFlags& Gio::operator|= | ( | MountUnmountFlags & | lhs,
|  | MountUnmountFlags | rhs |
| ) |  |  | `[inline]`

FileMonitorFlags& Gio::operator|= | ( | FileMonitorFlags & | lhs,
|  | FileMonitorFlags | rhs |
| ) |  |  | `[inline]`

FileCopyFlags& Gio::operator|= | ( | FileCopyFlags & | lhs,
|  | FileCopyFlags | rhs |
| ) |  |  | `[inline]`

FileCreateFlags& Gio::operator|= | ( | FileCreateFlags & | lhs,
|  | FileCreateFlags | rhs |
| ) |  |  | `[inline]`

FileQueryInfoFlags& Gio::operator|= | ( | FileQueryInfoFlags & | lhs,
|  | FileQueryInfoFlags | rhs |
| ) |  |  | `[inline]`

AppInfoCreateFlags& Gio::operator|= | ( | AppInfoCreateFlags & | lhs,
|  | AppInfoCreateFlags | rhs |
| ) |  |  | `[inline]`

OutputStreamSpliceFlags Gio::operator~ | ( | OutputStreamSpliceFlags | flags | ) | `[inline]`

AskPasswordFlags Gio::operator~ | ( | AskPasswordFlags | flags | ) | `[inline]`

FileAttributeInfoFlags Gio::operator~ | ( | FileAttributeInfoFlags | flags | ) | `[inline]`

MountUnmountFlags Gio::operator~ | ( | MountUnmountFlags | flags | ) | `[inline]`

FileMonitorFlags Gio::operator~ | ( | FileMonitorFlags | flags | ) | `[inline]`

FileCopyFlags Gio::operator~ | ( | FileCopyFlags | flags | ) | `[inline]`

FileCreateFlags Gio::operator~ | ( | FileCreateFlags | flags | ) | `[inline]`

FileQueryInfoFlags Gio::operator~ | ( | FileQueryInfoFlags | flags | ) | `[inline]`

AppInfoCreateFlags Gio::operator~ | ( | AppInfoCreateFlags | flags | ) | `[inline]`